Only for testing purposes, to test the speed of the NanoSQL abstraction layer by itself. This file is not bundled with the library.

This also kind of shows the barebones data store, these functions are all that's needed to conform to spec.

export
class

  _NanoSQLNullStore

implements

  {NanoSQLBackend}

### Hierarchy

- _NanoSQLNullStore

### Implements

- NanoSQLBackend

## Index

### Methods

- _connect
- _exec
- _extend
- _transaction

## Methods

### _connect

- _connect(connectArgs: DBConnect): void

- Implementation of NanoSQLBackend._connect

  - Defined in null-store.ts:17

  #### Parameters

  - ##### connectArgs: DBConnect

  #### Returns void

### _exec

- _exec(execArgs: DBExec): void

- Implementation of NanoSQLBackend._exec

  - Defined in null-store.ts:21

  #### Parameters

  - ##### execArgs: DBExec

  #### Returns void

### _extend

- _extend(instance: NanoSQLInstance, ...args: Array<any>): null

- Implementation of NanoSQLBackend._extend

  - Defined in null-store.ts:25

  #### Parameters

  - ##### instance: NanoSQLInstance

  - ##### Rest ...args: Array<any>

  #### Returns null

### _transaction

- _transaction(): Promise<Object>

- - Defined in null-store.ts:28

  #### Returns Promise<Object>

Generated using TypeDoc